// component/imageSwiper/imageSwiper.js
const wx2my = require('../../wx2my');
const Behavior = require('../../Behavior');
var app = getApp();
const wxService = require('../../utils/wxService');
const utils = require('../../utils/util');
const utilLink = require('../../utils/currentLinkRouter')
const envInfo = require('../../config/index').envInfo;

Component({
  /**
   * 组件的属性列表
   */
  props: {
    imageData: []
  },

  didMount() {
    this.setData({
      baseImgUrl: app.globalData.imageUrl
    });
  },

  /**
   * 组件的初始数据
   */
  data: {
    imgUrls: [],
    indicatorDots: false,
    autoplay: true,
    circular: true,
    interval: 5000,
    duration: 1000,
    isAuthorization: false,
    // false 不显示 true 显示
    baseImgUrl: ''
  },

  /**
   * 组件的方法列表
   */
  methods: {
    preview(event) {
      utilLink.currentLinkRouter(event, this)
    }
  }
});